//
//  ViewController.swift
//  Capture Ecran et FB
//
//  Created by Alain on 2014-09-16.
//  Copyright (c) 2014 Alain. All rights reserved.
//

import UIKit
import Social

class ViewController: UIViewController {

    var imageFinale = UIImage()
    
    @IBOutlet weak var menu: UIView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }


    // **************************************
    
    @IBAction func capturerEcran(sender: UIButton) {
        println("capturerEcran")
        // Cacher le menu avant la capture
        menu.hidden = true
        
        // Insérer la recette
        // Description : méthode servant à capturer l’écran et au besoin,
        // en faire une sauvegarde dans l’album photos.
        
        // 1 - Préparer un contexte de dessin à partir de la taille de la scène
        UIGraphicsBeginImageContext(self.view.bounds.size);
        
        // 2 – Dessiner à partir du claque par défaut de la scène
        self.view.layer.renderInContext(UIGraphicsGetCurrentContext());
        
        // 3 – Stocker le résultat dans notre objet local
        imageFinale = UIGraphicsGetImageFromCurrentImageContext();
        
        // 5 – Fermer le contexte de dessin
        UIGraphicsEndImageContext();
        
        // 6 – Facultatif - Stocker une copie de la capture d’écran dans l’album photos
        UIImageWriteToSavedPhotosAlbum(imageFinale, nil, nil, nil );
        
        
        // Réafficher le menu après la capture
        menu.hidden = false

    }  // capturerEcran
    
    @IBAction func posterSurFacebook(sender: UIButton) {
        println("posterSurFacebook")
        // Insérer la recette
        // Les étapes pour utiliser ‘facebook’
        // 1 - Tester si le service et les informations de connexion sont dispo
        if SLComposeViewController.isAvailableForServiceType(SLServiceTypeFacebook)
        {
            // 2 - Créer un feuille pour le 'post'
            let controleur = SLComposeViewController (forServiceType: SLServiceTypeFacebook)
            
            // 3 - Composer le message
            controleur.setInitialText("Test avec Swift et Xcode");
            
            // 4 - Ajouter une image - facultatif
            controleur.addImage(imageFinale);
            
            // 5 - Ajouter un lien - facultatif
            controleur.addURL(NSURL.URLWithString("http://tim.cstj.qc.ca/cours/xcode/"));
            
            // 6 - Présenter la fenêtre de confirmation à l'utilisateur
            self.presentViewController(controleur, animated: true, completion: nil);
            
        } // if Facebook
    } // posterSurFacebook

}

